How can I update maps on a Mac running OS X 10.6 ?

  • Email this Answer
  • Print this Answer

04/10/2014

Support for OS X 10.6 has ended. Garmin will no longer be developing any software for OS  X  10.6. When attempting to install the current version of Garmin Express on a Mac that does not meet the application's minimum system requirements, the message "Garmin Express is not compatible with your operating system" is displayed.

A Mac running OS X 10.6.8 will need to be upgraded to OS  X  10.7 or higher before being able to upgrade the mapping on a Garmin device.

*Please provide your feedback to help us improve your experience.

Submit